import 'translations.dart';

/// The translations for Arabic (`ar`).
class TranslationsAr extends Translations {
  TranslationsAr([String locale = 'ar']) : super(locale);

  @override
  String get users => 'المستخدمون';

  @override
  String get chats => 'دردشات';

  @override
  String get groups => 'مجموعات';

  @override
  String get more => 'المزيد';

  @override
  String get message_image => '📷 صورة';

  @override
  String get message_file => '📁 ملف';

  @override
  String get message_video => '📹 فيديو';

  @override
  String get message_audio => '🎵 الصوت';

  @override
  String get custom_message => 'لديك رسالة';

  @override
  String get missed_voice_call => 'مكالمة صوتية فائتة';

  @override
  String get missed_video_call => 'مكالمة فيديو فائتة';

  @override
  String get custom_message_poll => '📊 استطلاع';

  @override
  String get custom_message_sticker => '💟 ملصق';

  @override
  String get custom_message_document => '📃 مستند';

  @override
  String get custom_message_whiteboard => '📝 السبورة';

  @override
  String get online => 'عبر الإنترنت';

  @override
  String get administrator => 'المسؤول';

  @override
  String get moderator => 'مقدم';

  @override
  String get participant => 'مشارك';

  @override
  String get public => 'عامة';

  @override
  String get private => 'خاص';

  @override
  String get password_protected => 'محمي بكلمة مرور';

  @override
  String get privacy_and_security => 'الخصوصية والأمان';

  @override
  String get preferences => 'تفضيلات';

  @override
  String get members => 'الأعضاء';

  @override
  String get today => 'اليوم';

  @override
  String get yesterday => 'يوم أمس';

  @override
  String get sunday => 'الأحد';

  @override
  String get monday => 'الإثنين';

  @override
  String get tuesday => 'الثلاثاء';

  @override
  String get wednesday => 'الأربعاء';

  @override
  String get thursday => 'الخميس';

  @override
  String get friday => 'الجمعة';

  @override
  String get saturday => 'يوم السبت';

  @override
  String get typing => 'جاري الكتابة...';

  @override
  String get is_typing => 'هو كتابة...';

  @override
  String get close => 'إغلاق';

  @override
  String get enter_group_name => 'أدخل اسم المجموعة';

  @override
  String get add_members => 'إضافة أعضاء';

  @override
  String get send_message => 'إرسال رسالة';

  @override
  String get unblock_user => 'إلغاء حظر المستخدم';

  @override
  String get block_user => 'حظر المستخدم';

  @override
  String get delete_and_exit => 'حذف وخروج';

  @override
  String get leave_group => 'اترك المجموعة';

  @override
  String get create_group => 'إنشاء مجموعة';

  @override
  String get shared_media => 'وسائل الإعلام المشتركة';

  @override
  String get video_call => 'مكالمة فيديو';

  @override
  String get audio_call => 'مكالمة صوتية';

  @override
  String get loading => 'جاري التحميل...';

  @override
  String get reply => 'الرد';

  @override
  String get replies => 'الردود';

  @override
  String get launch => 'إطلاق';

  @override
  String get shared_collaborative_document => 'شارك وثيقة تعاونية';

  @override
  String get shared_collaborative_whiteboard => 'شارك سبورة بيضاء تعاونية';

  @override
  String get created_whiteboard => 'لقد أنشأت سبورة بيضاء تعاونية جديدة';

  @override
  String get created_document => 'لقد قمت بإنشاء مستند SOMCollaborative جديد';

  @override
  String get photos => 'صور';

  @override
  String get videos => 'مقاطع فيديو';

  @override
  String get document => 'مستند';

  @override
  String get you_deleted_this_message => '⚠️ قمت بحذف هذه الرسالة';

  @override
  String get this_message_deleted => '⚠️ تم حذف هذه الرسالة';

  @override
  String get view_on_youtube => 'عرض على يوتيوب';

  @override
  String get search => 'بحث';

  @override
  String get no_users_found => 'لم يتم العثور على مستخدمين';

  @override
  String get error => 'خطأ';

  @override
  String get no_groups_found => 'لم يتم العثور على مجموعات';

  @override
  String get no_chats_found => 'لم يتم العثور على محادثات';

  @override
  String get media_message => 'رسالة وسائل الإعلام';

  @override
  String get incoming_audio_call => 'مكالمة صوتية واردة';

  @override
  String get incoming_video_call => 'مكالمة فيديو واردة';

  @override
  String get decline => 'تراجع';

  @override
  String get accept => 'اقبل';

  @override
  String get call_initiated => 'بدأت المكالمة';

  @override
  String get outgoing_audio_call => 'مكالمة صوتية صادرة';

  @override
  String get outgoing_video_call => 'مكالمة فيديو صادرة';

  @override
  String get call_rejected => 'تم رفض المكالمة';

  @override
  String get rejected_call => 'مكالمة مرفوضة';

  @override
  String get call_accepted => 'تم قبول المكالمة';

  @override
  String get joined => 'انضم';

  @override
  String get left_the_call => 'تركت المكالمة';

  @override
  String get unanswered_audio_call => 'مكالمة صوتية بدون إجابة';

  @override
  String get unanswered_video_call => 'مكالمة فيديو بدون إجابة';

  @override
  String get call_ended => 'انتهت المكالمة';

  @override
  String get call_cancelled => 'تم إلغاء المكالمة';

  @override
  String get call_busy => 'اتصل مشغول';

  @override
  String get calling => 'جاري الاتصال...';

  @override
  String get add => 'إضافة';

  @override
  String get no_banned_members_found => 'لم يتم العثور على أعضاء محظور';

  @override
  String get banned_members => 'الأعضاء المحظورون';

  @override
  String get name => 'اسم';

  @override
  String get scope => 'نطاق';

  @override
  String get unban => 'أونبان';

  @override
  String get select_group_type => 'حدد نوع المجموعة';

  @override
  String get enter_group_password => 'أدخل كلمة مرور المجموعة';

  @override
  String get create => 'إنشاء';

  @override
  String get create_poll => 'إنشاء استطلاع';

  @override
  String get question => 'سؤال';

  @override
  String get enter_your_question => 'أدخل سؤالك';

  @override
  String get options => 'خيارات';

  @override
  String get enter_your_option => 'أدخل الخيار الخاص بك';

  @override
  String get add_new_option => 'إضافة خيار جديد';

  @override
  String get view_members => 'عرض الأعضاء';

  @override
  String get details => 'التفاصيل';

  @override
  String get notifications => 'الإعلامات';

  @override
  String get other => 'أخرى';

  @override
  String get help => 'مساعدة';

  @override
  String get report_problem => 'الإبلاغ عن مشكلة';

  @override
  String get group_members => 'أعضاء المجموعة';

  @override
  String get ban => 'بان';

  @override
  String get kick => 'ركلة';

  @override
  String get pick_your_emoji => 'اختر الرموز التعبيرية';

  @override
  String get private_group => 'مجموعة خاصة';

  @override
  String get protected_group => 'مجموعة محمية';

  @override
  String get visit => 'زيارة';

  @override
  String get attach => 'إرفاق';

  @override
  String get attach_file => 'إرفاق ملف';

  @override
  String get attach_video => 'إرفاق فيديو';

  @override
  String get attach_audio => 'إرفاق الصوت';

  @override
  String get attach_image => 'إرفاق صورة';

  @override
  String get collaborate_using_document => 'التعاون باستخدام مستند';

  @override
  String get collaborate_using_whiteboard => 'التعاون باستخدام لوحة بيضاء';

  @override
  String get emoji => 'رمز تعبيري';

  @override
  String get enter_your_message_here => 'أدخل رسالتك هنا';

  @override
  String get no_messages_found => 'لم يتم العثور على رسائل';

  @override
  String get thread => 'خيط';

  @override
  String get collaborative_document => 'وثيقة تعاونية';

  @override
  String get collaborative_whiteboard => 'السبورة التعاونية';

  @override
  String get add_reaction => 'إضافة رد فعل';

  @override
  String get no_stickers_found => 'لم يتم العثور على ملصقات';

  @override
  String get reply_to_thread => 'الرد على الموضوع';

  @override
  String get reply_in_thread => 'الرد في الموضوع';

  @override
  String get delete_message => 'حذف رسالة';

  @override
  String get edit_message => 'تحرير الرسالة';

  @override
  String get owner => 'مالك';

  @override
  String get change_scope => 'تغيير النطاق';

  @override
  String get sticker => 'ستيكر';

  @override
  String get last_active_at => 'آخر نشاط في';

  @override
  String get voice_call => 'مكالمة صوتية';

  @override
  String get view_detail => 'عرض التفاصيل';

  @override
  String get votes => 'التصويت';

  @override
  String get vote => 'تصويت';

  @override
  String get no_vote => 'لا تصويت';

  @override
  String get reacted => 'رد فعل';

  @override
  String get added => 'أضاف';

  @override
  String get unbanned => 'غير محظور';

  @override
  String get made => 'صنع';

  @override
  String get call_unanswered => 'اتصل دون إجابة';

  @override
  String get missed_audio_call => 'مكالمة صوتية فائتة';

  @override
  String get enter_your_password => 'أدخل كلمة المرور الخاصة بك';

  @override
  String get docs => 'مستندات';

  @override
  String get no_records_found => 'لم يتم العثور على سجلات';

  @override
  String get live_reaction => 'رد فعل مباشر';

  @override
  String get smiley_people => 'الوجوه الضاحكة والناس';

  @override
  String get animales_nature => 'الحيوانات والطبيعة';

  @override
  String get food_drink => 'الطعام والشراب';

  @override
  String get activity => 'نشاط';

  @override
  String get travel_places => 'السفر والأماكن';

  @override
  String get objects => 'كائنات';

  @override
  String get symbols => 'الرموز';

  @override
  String get flags => 'أعلام';

  @override
  String get sent => 'تم إرسال';

  @override
  String get seen => 'ساين';

  @override
  String get delivered => 'تم التوصيل';

  @override
  String get translate_message => 'ترجمة الرسالة';

  @override
  String get left => 'يسار';

  @override
  String get kicked => 'ركل';

  @override
  String get banned => 'محظور';

  @override
  String get new_messages => 'رسائل جديدة';

  @override
  String get new_message => 'رسالة جديدة';

  @override
  String get jump => 'جمب';

  @override
  String get select_video_source => 'حدد مصدر الفيديو';

  @override
  String get select_input_audio_source => 'حدد مصدر صوت الإدخال';

  @override
  String get select_output_audio_source => 'حدد مصدر صوت الإخراج';

  @override
  String get initiated_group_call => 'بدأت مكالمة جماعية';

  @override
  String get you_initiated_group_call => 'لقد بدأت مكالمة جماعية';

  @override
  String get ignore => 'تجاهل';

  @override
  String get on_another_call => 'على مكالمة أخرى';

  @override
  String get creating => 'إنشاء';

  @override
  String get avatar => 'أفاتار';

  @override
  String get ongoing_call => 'مكالمة مستمرة';

  @override
  String get you_already_ongoing_call => 'أنت بالفعل في مكالمة مستمرة';

  @override
  String get resize => 'تغيير الحجم';

  @override
  String get settings => 'الإعدادات';

  @override
  String get actions => 'الإجراءات';

  @override
  String get view_profile => 'عرض الملف الشخصي';

  @override
  String get send_message_in_private => 'إرسال رسالة خاصة';

  @override
  String get delete => 'حذف';

  @override
  String get delete_confirm => 'هل ترغب في حذف هذه المحادثة؟ سيتم حذف هذه المحادثة من جميع أجهزتك';

  @override
  String get cancel => 'إلغاء';

  @override
  String get leave_confirm => 'هل أنت متأكد أنك تريد مغادرة المجموعة؟';

  @override
  String get transfer_confirm => 'أنت مالك المجموعة، يرجى نقل الملكية إلى عضو قبل مغادرة المجموعة';

  @override
  String get adding => 'إضافة...';

  @override
  String get transfer => 'نقل';

  @override
  String get transferring => 'نقل';

  @override
  String get yes => 'نعم';

  @override
  String get no => 'لا';

  @override
  String get something_wrong => 'حدث خطأ ما، يرجى المحاولة مرة أخرى';

  @override
  String get invalid_group_name => 'الرجاء إدخال اسم صالح للمجموعة والمحاولة مرة أخرى';

  @override
  String get invalid_password => 'الرجاء إدخال كلمة مرور صالحة للمجموعة والمحاولة مرة أخرى';

  @override
  String get invalid_group_type => 'الرجاء إدخال نوع صالح للمجموعة والمحاولة مرة أخرى';

  @override
  String get wrong_password => 'الرجاء إدخال كلمة المرور الصحيحة والمحاولة مرة أخرى';

  @override
  String get invalid_poll_question => 'الرجاء إدخال السؤال المطلوب قبل إنشاء استطلاع';

  @override
  String get invalid_poll_option => 'الرجاء إدخال الإجابة المطلوبة قبل إنشاء استطلاع';

  @override
  String get same_language_message => 'اللغة المختارة للترجمة تشبه لغة الرسالة الأصلية';

  @override
  String get leave => 'ترك';

  @override
  String get click_to_start_conversation => 'انقر لبدء المحادثة';

  @override
  String get custom_message_location => '📍 الموقع';

  @override
  String get shared_location => 'موقع مشترك';

  @override
  String get in_a_thread => 'في مؤشر ترابط ⤵';

  @override
  String get calls => 'المكالمات';

  @override
  String get offline => 'دون اتصال';

  @override
  String get you => 'أنت';

  @override
  String get privacy => 'الخصوصية';

  @override
  String get blocked_users => 'المستخدمون المحظورون';

  @override
  String get youveBlocked => 'كنت قد حظرت';

  @override
  String get no_photos => 'لا توجد صور';

  @override
  String get no_videos => 'لا يوجد فيديو';

  @override
  String get no_documents => 'لا توجد مستندات';

  @override
  String get join => 'انضم';

  @override
  String get peopleVoted => 'الأشخاص الذين صوتوا';

  @override
  String get set_the_answers => 'تعيين الإجابات';

  @override
  String get add_another_answer => 'إضافة إجابة أخرى';

  @override
  String get answer => 'الإجابة';

  @override
  String get cant_load_messages => 'لا يمكن تحميل الرسائل. يرجى المحاولة مرة أخرى';

  @override
  String get try_again => 'حاول مرة أخرى';

  @override
  String get cant_load_chats => 'لا يمكن تحميل الدردشات. يرجى المحاولة مرة أخرى';

  @override
  String get no_chats_yet => 'لا توجد محادثات حتى الآن';

  @override
  String get take_photo => 'التقط صورة';

  @override
  String get photo_and_video_library => 'مكتبة الصور والفيديو';

  @override
  String get image_library => 'مكتبة الصور';

  @override
  String get video_library => 'مكتبة الفيديو';

  @override
  String get message => 'رسالة';

  @override
  String get no_messages_here_yet => 'لا توجد رسائل هنا حتى الآن';

  @override
  String get select_reaction => 'حدد رد الفعل';

  @override
  String get audio => 'الصوت';

  @override
  String get open_document => 'افتح المستند';

  @override
  String get open_whiteboard => 'افتح السبورة';

  @override
  String get open_document_subtitle => 'افتح المستند لتحرير المحتوى معًا';

  @override
  String get open_whiteboard_subtitle => 'افتح السبورة للرسم معًا';

  @override
  String get message_is_deleted => 'تم حذف الرسالة';

  @override
  String get file => 'ملف';

  @override
  String get shared_file => 'ملف مشترك';

  @override
  String get view => 'عرض';

  @override
  String get edit => 'تحرير';

  @override
  String get start_thread => 'بدء الموضوع';

  @override
  String get share => 'مشاركة';

  @override
  String get copy_text => 'نسخ النص';

  @override
  String get forward => 'فوروارد';

  @override
  String get information => 'معلومات';

  @override
  String get translate => 'ترجمة';

  @override
  String get text => 'نص';

  @override
  String get location => 'الموقع';

  @override
  String get poll => 'استطلاع';

  @override
  String get delete_capital => 'حذف';

  @override
  String get cancel_capital => 'إلغاء';

  @override
  String get error_internet_unavailable => 'الإنترنت غير متاح';

  @override
  String get something_went_wrong_error => 'حدث خطأ ما';

  @override
  String get ok => 'لا';

  @override
  String get password => 'Password';

  @override
  String get protected => 'Protected';

  @override
  String get new_group => 'New Group';

  @override
  String get incorrect_password => 'Incorrect Password';

  @override
  String get please_try_another_password => 'Please try another password';

  @override
  String get okay => 'OKAY';

  @override
  String get enter_password_to_access => 'Enter password to access';

  @override
  String get group => 'group';

  @override
  String get group_password => 'Group Password';

  @override
  String get are_you_sure_unsafe_content => 'هل تريد بالتأكيد رؤية المحتوى غير الآمن؟';

  @override
  String get unsafe_content => 'محتوى غير آمن';

  @override
  String get failed_to_load_image => 'فشل تحميل الصورة';

  @override
  String get transfer_ownership => 'نقل الملكية';

  @override
  String get outgoing_call => 'مكالمة صادرة';

  @override
  String get incoming_call => 'مكالمة واردة';

  @override
  String get missed_call => '«مكالمة فائتة';

  @override
  String get forwarding_message => 'إعادة توجيه الرسالة...';

  @override
  String get max_selection_limit_is => 'الحد الأقصى للاختيار هو';

  @override
  String get connecting => 'جاري الاتصال...';

  @override
  String get message_information => 'معلومات الرسالة';

  @override
  String get send_message_privately => 'إرسال رسالة بشكل خاص';
}
