import '../../../cometchat_uikit_shared.dart';

///Used to set Ui kit level settings
class UIKitSettings {
  final String? appId;
  final String? region;
  final String? subscriptionType;
  final bool? autoEstablishSocketConnection;
  final String? authKey;
  final List<ExtensionsDataSource>? extensions;
  final ExtensionsDataSource? callingExtension;

  UIKitSettings._builder(UIKitSettingsBuilder builder)
      : appId = builder.appId,
        region = builder.region,
        subscriptionType = builder.subscriptionType,
        autoEstablishSocketConnection =
            builder.autoEstablishSocketConnection ?? true,
        authKey = builder.authKey,
        extensions = builder.extensions,
        callingExtension = builder.callingExtension
  ;
}

///Builder class for [UIKitSettings]
class UIKitSettingsBuilder {
  String? appId;
  String? region;
  String? subscriptionType;
  List<String>? roles;
  bool? autoEstablishSocketConnection;
  String? authKey;
  List<ExtensionsDataSource>? extensions;
  ExtensionsDataSource? callingExtension;


  UIKitSettingsBuilder();

  UIKitSettings build() {
    return UIKitSettings._builder(this);
  }
}
